Bug 1856951 (CVE-2020-14573)

Summary: CVE-2020-14573 OpenJDK: Incomplete interface type checks in Graal compiler (Hotspot, 8236867)
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ahughes, jvanek, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-06 01:27:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1838816, 1838817, 1838819, 1838820, 1838823, 1838825    
Bug Blocks: 1838813    

Description Tomas Hoger 2020-07-14 18:45:42 UTC
A flaw was found in the Grall compiler in the Hotspot component of OpenJDK.  Incomplete checks of referenced data types could cause interface calls to accept incompatible types.

Comment 1 Tomas Hoger 2020-07-15 09:18:02 UTC
Public now via Oracle CPU July 2020:

https://www.oracle.com/security-alerts/cpujul2020.html#AppendixJAVA

Fixed in Oracle Java SE 14.0.2 and 11.0.8.

Comment 2 Tomas Hoger 2020-07-15 10:44:01 UTC
OpenJDK-11 upstream commit:
http://hg.openjdk.java.net/jdk-updates/jdk11u/rev/76890092b5ca

Comment 3 errata-xmlrpc 2020-07-16 08:51:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:2970 https://access.redhat.com/errata/RHSA-2020:2970

Comment 4 errata-xmlrpc 2020-07-16 09:31:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:2969 https://access.redhat.com/errata/RHSA-2020:2969

Comment 5 errata-xmlrpc 2020-07-22 12:39:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:3098 https://access.redhat.com/errata/RHSA-2020:3098

Comment 6 errata-xmlrpc 2020-07-22 12:41:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:3099 https://access.redhat.com/errata/RHSA-2020:3099

Comment 7 Product Security DevOps Team 2020-08-06 01:27:54 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-14573